No binary mplayer in new package

Bug #538353 reported by iORlas on 2010-03-13

This bug report was converted into a question: question #104198: No binary mplayer in new package.

8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mplayer (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: mplayer

Yesterday i've updated my ubuntu 10.04 with "apt-get upgrade". Today wanted to see one film with mplayer, but ubuntu said "no mplayer installed, install it with cmd ...". Ok, i've tried to install, but apt-get said what mplayer already installed(same for mplayer-nogui).
I've tried to reinstall with purge && install. Same...
But i've tried to see in packages with file-roller. And, oh g-d, i can't see mplayer binary file! gmplayer in, but no mplayer! Ofc, gmplayer throws errors when playing:
mplayer: could not connect to socket
mplayer: No such file or directory

My versions(from installing log):
mplayer (2:1.0~rc3+svn20090426-1ubuntu13)
mplayer-nogui (2:1.0~rc3+svn20090426-1ubuntu14)

Daniel T Chen (crimsun) wrote :

the mplayer binary package now ships /usr/bin/mplayer. Also, see the changelog:

mplayer (2:1.0~rc3+svn20090426-1ubuntu14) lucid; urgency=low
...
  * reorganize binary packages to no longer install the gui version by
    default

ii mplayer 2:1.0~rc3+svn20090426-1ubuntu14 movie player for Unix-like systems
ii mplayer-nogui 2:1.0~rc3+svn20090426-1ubuntu14 movie player for Unix-like systems (transitional package)

Changed in mplayer (Ubuntu):
status: New → Invalid
iORlas (iorlas) wrote :

No, you dont understand what i mean. I want to use cli mplayer, but binary mplayer not available in package.

>reorganize binary packages to no longer install the gui version by default
I dont need a gui version, i need a cli version(not a gmplayer, i want a mplayer).

Changed in mplayer (Ubuntu):
status: Invalid → Incomplete
iORlas (iorlas) wrote :

Latest package weight - 73kb
mplayer-nogui_1.0~rc3+svn20090426-1ubuntu14_all.deb 12-Mar-2010 19:05 73K

But previous:
mplayer-nogui_1.0~rc3+svn20090426-1ubuntu13_amd64.deb 20-Jan-2010 13:04 2.0M

2mb. It's mplayer binary!
What package now contains it?

Changed in mplayer (Ubuntu):
status: Incomplete → New
Daniel T Chen (crimsun) wrote :

As I pasted above, your packages are not synced with the archive. Please update and upgrade.

Changed in mplayer (Ubuntu):
status: New → Invalid
iORlas (iorlas) wrote :

But in archive no mplayer binary!
I've trying last 2 hours to update and upgrade, but now news.
See attached log of updating. What i doing wrong?

Changed in mplayer (Ubuntu):
status: Invalid → New
Daniel T Chen (crimsun) wrote :

Look at the output from apt-cache policy mplayer mplayer-nogui

Changed in mplayer (Ubuntu):
status: New → Invalid
Reinhard Tartler (siretart) wrote :

the command-not-found data is not updated yet. /usr/bin/mplayer is no shipped by the 'mplayer' package since version 2:1.0~rc3+svn20090426-1ubuntu14. Prior that version, it was in mplayer-nogui.

iORlas (iorlas) wrote :

>the command-not-found data is not updated yet
Really?
iorlas@lastangel:~$ ls /usr/bin/mplayer
ls: cannot access /usr/bin/mplayer: No such file or directory

And i remember, i'm not stupid. I've using find for searching binary, but nothing found.

>Look at the output from apt-cache policy
iorlas@lastangel:~$ apt-cache policy mplayer mplayer-nogui
mplayer:
  Installed: 2:1.0~rc3+svn20090426-1ubuntu13
  Candidate: 2:1.0~rc3+svn20090426-1ubuntu13
  Version table:
 *** 2:1.0~rc3+svn20090426-1ubuntu13 0
        500 http://ru.archive.ubuntu.com lucid/multiverse Packages
        100 /var/lib/dpkg/status
mplayer-nogui:
  Installed: 2:1.0~rc3+svn20090426-1ubuntu14
  Candidate: 2:1.0~rc3+svn20090426-1ubuntu14
  Version table:
 *** 2:1.0~rc3+svn20090426-1ubuntu14 0
        500 http://ru.archive.ubuntu.com lucid/multiverse Packages
        100 /var/lib/dpkg/status

What i doing wrong?

Changed in mplayer (Ubuntu):
status: Invalid → New
Reinhard Tartler (siretart) wrote :

This report has turned into a support question by now, marking it as such

Changed in mplayer (Ubuntu):
status: New → Invalid
iORlas (iorlas) wrote :

>support question by now
That means you dont know?
Can you say which package contains mplayer binary? As i see now - no one. Only older.

Changed in mplayer (Ubuntu):
status: Invalid → New
Jonathan Davies (jpds) wrote :

iORlas: The "mplayer" binary is included in the mplayer package since the last update. The GUI mplayer is in a new mplayer-gui package:

$ apt-file search gmplayer
...
mplayer-gui: /usr/bin/gmplayer

dpkg -L mplayer | grep bin
...
/usr/bin/mplayer

Please update to the latest version of the mplayer package: 2:1.0~rc3+svn20090426-1ubuntu14.

Changed in mplayer (Ubuntu):
status: New → Invalid
iORlas (iorlas) wrote :

I don't need a gui mplayer. Anyway, error in other software.
When you want to install mplayer-nogui, it installs a 2:1.0~rc3+svn20090426-1ubuntu13, not a 14. I dunno, but in this way mplayer binary not in system. I've tried to install mplayer directly and it appeared. Maybe need to create a new bug report.

Jonathan Davies (jpds) wrote :

The mplayer-nogui package depends on mplayer:

$ apt-cache show mplayer-nogui
...
Version: 2:1.0~rc3+svn20090426-1ubuntu14
Depends: mplayer
Filename: pool/multiverse/m/mplayer/mplayer-nogui_1.0~rc3+svn20090426-1ubuntu14_all.deb
...

So a dist-upgrade should of pulled in the new package.

iORlas (iorlas) wrote :

Dunno why it happend. Good for us if only i have this bug.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Bug attachments